Name:		nagios-check_x224
Version:	20200829
Release:	%mkrel 1
Summary:	Nagios x224 plugin
Group:		Networking/Other
License:	BSD
URL:		http://exchange.nagios.org/directory/Plugins/Remote-Access/check_x224/details
Source0:	http://troels.arvin.dk/code/nagios/check_x224.python3#/check_x224
BuildArch:  noarch

%description
Checks that the most basic parts of a Remote Desktop connection succeeds.
The Remote Desktop protocol builds on a protocol called x224. This plugin
checks that the initial and most basic parts of a Remote Desktop connection -
the part which is specified by x224 - succeeds. I.e., it does a bit more than a
TCP connection test at port 3389. 

%prep

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_x224.cfg <<'EOF'
define command {
	command_name    check_x224
	command_line    %{_datadir}/nagios/plugins/check_x224 -H $HOSTADDRESS$
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_x224.cfg
%{_datadir}/nagios/plugins/check_x224



%changelog
* Sat Aug 29 2020 martinw <martinw> 20200829-1.mga8
+ Revision: 1619643
- new python3 version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 9734-8.mga7
+ Revision: 1264649
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 9734-7.mga6
+ Revision: 936167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9734-6.mga5
+ Revision: 740374
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 9734-5.mga5
+ Revision: 682784
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 9734-4.mga4
+ Revision: 508183
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 9734-2.mga1
+ Revision: 62997
- imported package nagios-check_x224


* Mon Aug 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 9734-2mdv2011.0
+ Revision: 570416
- fix configuration file

* Mon Aug 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 9734-1mdv2011.0
+ Revision: 570410
- import nagios-check_x224

